summaryrefslogtreecommitdiffstats
path: root/lldb/scripts
diff options
context:
space:
mode:
authorSylvestre Ledru <sylvestre@debian.org>2013-12-06 23:16:23 +0000
committerSylvestre Ledru <sylvestre@debian.org>2013-12-06 23:16:23 +0000
commitc061cceed2a76e1d3a9a3ea8ad184f637ea797cf (patch)
treeb7056be480ac666b86854ac2a6540ea33fe03944 /lldb/scripts
parent27fddbaf2145eb109b1c5f3d81106454e6a45bbf (diff)
downloadbcm5719-llvm-c061cceed2a76e1d3a9a3ea8ad184f637ea797cf.tar.gz
bcm5719-llvm-c061cceed2a76e1d3a9a3ea8ad184f637ea797cf.zip
Fixed Makefile-based install to place python packages in the LLDB install tree.
Failure to install python packages now fails the make install. This patch properly handles the optional DESTDIR variable. Patch by Todd Fiala llvm-svn: 196624
Diffstat (limited to 'lldb/scripts')
-rwxr-xr-xlldb/scripts/finish-swig-wrapper-classes.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/lldb/scripts/finish-swig-wrapper-classes.sh b/lldb/scripts/finish-swig-wrapper-classes.sh
index f0bca4bf18e..806f2862af6 100755
--- a/lldb/scripts/finish-swig-wrapper-classes.sh
+++ b/lldb/scripts/finish-swig-wrapper-classes.sh
@@ -89,6 +89,11 @@ do
./finish-swig-${curlang}-LLDB.sh $SRC_ROOT $TARGET_DIR $CONFIG_BUILD_DIR "${PREFIX}" "${debug_flag}" "${makefile_flag}"
+ retval=$?
+ if [ $retval -ne 0 ]; then
+ echo "$(pwd)/finish-swig-${curlang}-LLDB.sh failed with exit code $retval"
+ exit $retval
+ fi
fi
fi
done
OpenPOWER on IntegriCloud